// DlgExportPNG.cpp : implementation file
//

#include "stdafx.h"
#include "tinycad.h"
#include "DlgExportPNG.h"
#include "registry.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgExportPNG dialog


CDlgExportPNG::CDlgExportPNG(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgExportPNG::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgExportPNG)
	m_Filename = _T("");
	m_Scaling = 0;
	//}}AFX_DATA_INIT

	m_type = Registry::GetInt( "BitmapType", 0 );
	m_Scaling = Registry::GetInt( "BitmapScaling", 100 );
}


void CDlgExportPNG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgExportPNG)
	DDX_Control(pDX, IDC_FILE_TYPE, m_Filetype);
	DDX_Text(pDX, IDC_FILE_NAME, m_Filename);
	DDX_Text(pDX, IDC_SCALING, m_Scaling);
	DDV_MinMaxInt(pDX, m_Scaling, 1, 1000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgExportPNG, CDialog)
	//{{AFX_MSG_MAP(CDlgExportPNG)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgExportPNG message handlers

BOOL CDlgExportPNG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_Filetype.ResetContent();
	m_Filetype.AddString( "Colour PNG bitmap" );
	m_Filetype.AddString( "B&W PNG bitmap" );

	m_Filetype.SetCurSel( m_type );

	UpdateData( FALSE );
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgExportPNG::OnBrowse() 
{
	CString ext = ".png";


	// Get the file in which to save the network
	OPENFILENAME ofn;
	char szFile[256], szFileTitle[256];

	// Generate the filter string from the extension
	char szFilter[256];
	sprintf(szFilter, "Bitmap (*%s)|*%s|All files (*.*)|*.*||",
		ext, ext );
	int len = strlen( szFilter ) - 1;
	while (len >= 0)
	{
		if (szFilter[len] == '|')
		{
			szFilter[len] = 0;
		}
		-- len;
	}
	

	strcpy(szFile,m_Filename);
	strcpy(szFileTitle,m_Filename);

	ofn.lStructSize = sizeof(OPENFILENAME);
	ofn.hwndOwner = this->m_hWnd;
	ofn.lpstrFilter = szFilter;
	ofn.lpstrCustomFilter = NULL;
	ofn.nMaxCustFilter = 0;
	ofn.nFilterIndex = 1;
	ofn.lpstrFile = szFile;
	ofn.nMaxFile = sizeof(szFile);
	ofn.lpstrFileTitle = szFileTitle;
	ofn.nMaxFileTitle = sizeof(szFileTitle);
	ofn.lpstrInitialDir = NULL;
	ofn.lpstrTitle = NULL;
	ofn.Flags = OFN_HIDEREADONLY | OFN_PATHMUSTEXIST  | OFN_NOCHANGEDIR;
	ofn.nFileOffset = 0;
	ofn.nFileExtension = 0;
	ofn.lpstrDefExt = ((const char *)ext) + 1;
	ofn.lpstrTitle = "Create PCB Net List";

	if (GetSaveFileName(&ofn))
	{
		m_Filename = szFile;
		UpdateData( FALSE );
	}	
}

void CDlgExportPNG::OnOK() 
{
	// Get the data before exiting...
	UpdateData( TRUE );

	m_type = m_Filetype.GetCurSel();
	Registry::Set( "BitmapType", m_type );
	Registry::Set( "BitmapScaling", m_Scaling );

	CDialog::OnOK();
}
