/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __RULER_H__
#define __RULER_H__

#include "context.h"

#define RULER_WIDTH 	20

class CMultiSheetDoc;

class Ruler : public CWnd {

private:
	CMultiSheetDoc	*m_pDesign;
	CRect 		Size;
	CPoint 		oldPosition;
	Transform 	theTransform;
	int			dir;
	int			theHeight;

	void ShowPositionEx(CDC &dc, CPoint r);

public:
	Ruler(CMultiSheetDoc*pDesign, int nDir, CRect nSize, Transform &nTransform,CWnd *parent);
	void ShowPosition(CPoint r);

	void OnPaint();
	void OnNewSize(CRect nSize);
	void OnNewTransform(Transform &nTransform);

	DECLARE_MESSAGE_MAP()
};



#endif
