#if !defined(AFX_TINYCADMULTIDOC_H__7E25C39B_649E_4421_A207_635409612FB6__INCLUDED_)
#define AFX_TINYCADMULTIDOC_H__7E25C39B_649E_4421_A207_635409612FB6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TinyCadDoc.h"
#include "MultiSheetDoc.h"

// TinyCadMultiDoc.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTinyCadMultiDoc document

class CTinyCadMultiDoc : public CMultiSheetDoc
{
protected:
	DECLARE_DYNCREATE(CTinyCadMultiDoc)

	void UnTag();

	// Save this collection out...
	void SaveXML(CXMLWriter&);

	// Load the document
	BOOL ReadFile( CStreamFile& file );

	void SetTabsFromDocument();

	void Clear();
	void InsertSheet(int i, CTinyCadDoc *pDoc = NULL);
	void DeleteSheet(int i);

// Attributes
public:

	// Construction
	CTinyCadMultiDoc();

	// Force an autosave of the document
	virtual void AutoSave();

	// Is this document editing a library?
	virtual bool IsLibInUse( CLibraryStore *lib );


	// get the number of documents in this multi-doc
	virtual int	 GetNumberOfSheets();
	virtual void SetActiveSheetIndex( int i );
	virtual int GetActiveSheetIndex() { return m_active_doc; }
	virtual CString GetSheetName( int i );

	// Get the currently active sheet to work with
	virtual CTinyCadDoc*	GetSheet(int i);

	virtual void OnFolderContextMenu();

protected:
	typedef std::vector<CTinyCadDoc*>		sheetCollection;
	sheetCollection		m_sheets;
	
	int					m_active_doc;


// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTinyCadMultiDoc)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTinyCadMultiDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CTinyCadMultiDoc)
	afx_msg void OnContextAddsheet();
	afx_msg void OnContextDeletesheet();
	afx_msg void OnUpdateContextDeletesheet(CCmdUI* pCmdUI);
	afx_msg void OnContextRenamesheet();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TINYCADMULTIDOC_H__7E25C39B_649E_4421_A207_635409612FB6__INCLUDED_)
