// TinyCadMultiSymbolDoc.cpp : implementation file
//

#include "stdafx.h"
#include "tinycad.h"
#include "TinyCadMultiSymbolDoc.h"
#include "DlgPartsInPackage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTinyCadMultiSymbolDoc

IMPLEMENT_DYNCREATE(CTinyCadMultiSymbolDoc, CMultiSheetDoc)

CTinyCadMultiSymbolDoc::CTinyCadMultiSymbolDoc()
{
	m_pDocument = NULL;
	m_ppp = 1;
}

CTinyCadMultiSymbolDoc::CTinyCadMultiSymbolDoc(CLibraryStore* pLib, CLibraryStoreNameSet &symbol )
{
	m_pDocument = new CTinyCadSymbolDoc( this );
	m_pDocument->setSymbol( pLib, symbol );
	m_ppp = m_pDocument->GetPartsPerPackage();
}


BOOL CTinyCadMultiSymbolDoc::OnNewDocument()
{
	if (!CMultiSheetDoc::OnNewDocument())
		return FALSE;
	return TRUE;
}

CTinyCadMultiSymbolDoc::~CTinyCadMultiSymbolDoc()
{
	delete m_pDocument;
}


BEGIN_MESSAGE_MAP(CTinyCadMultiSymbolDoc, CMultiSheetDoc)
	//{{AFX_MSG_MAP(CTinyCadMultiSymbolDoc)
	ON_COMMAND(ID_LIBRARY_ADDPIN, OnLibraryAddpin)
	ON_COMMAND(ID_FILE_SAVE, OnFileSave)
	ON_COMMAND(ID_FILE_SAVE_AS, OnFileSaveAs)
	ON_COMMAND(ID_LIBRARY_SETPARTSPERPACKAGE, OnLibrarySetpartsperpackage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTinyCadMultiSymbolDoc diagnostics

#ifdef _DEBUG
void CTinyCadMultiSymbolDoc::AssertValid() const
{
	CMultiSheetDoc::AssertValid();
}

void CTinyCadMultiSymbolDoc::Dump(CDumpContext& dc) const
{
	CMultiSheetDoc::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CTinyCadMultiSymbolDoc serialization

void CTinyCadMultiSymbolDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CTinyCadMultiSymbolDoc commands

// Is this document editing a library?
bool CTinyCadMultiSymbolDoc::IsLibInUse( CLibraryStore *lib )
{
	return m_pDocument->IsLibInUse( lib );
}



// get the number of documents in this multi-doc
int CTinyCadMultiSymbolDoc::GetNumberOfSheets()
{
	return m_ppp;
}



void CTinyCadMultiSymbolDoc::SetActiveSheetIndex( int i )
{
	m_pDocument->EditPartInPackage( i );
}



int CTinyCadMultiSymbolDoc::GetActiveSheetIndex()
{
	return m_pDocument->GetPart();
}



CString CTinyCadMultiSymbolDoc::GetSheetName( int i )
{
	CString r;
	r.Format( "Part %c", 'A' + i );
	return r;
}


// Get the currently active sheet to work with
CTinyCadDoc* CTinyCadMultiSymbolDoc::GetSheet( int i )
{
	return m_pDocument;
}

void CTinyCadMultiSymbolDoc::OnFolderContextMenu()
{
	// Get the current location of the mouse
	CPoint pt;
	GetCursorPos( &pt );

	// Now bring up the context menu..
	CMenu menu;
	menu.LoadMenu( IDR_SYMBOL_SHEET_MENU );
	menu.GetSubMenu(0)->TrackPopupMenu( TPM_LEFTALIGN|TPM_RIGHTBUTTON,
		pt.x,pt.y, AfxGetMainWnd(), NULL );
}

void CTinyCadMultiSymbolDoc::OnLibraryAddpin() 
{
	m_pDocument->SelectObject(new CDrawPin(m_pDocument));
}


void CTinyCadMultiSymbolDoc::OnFileSave() 
{
	m_pDocument->Store();
}

void CTinyCadMultiSymbolDoc::OnFileSaveAs() 
{
	m_pDocument->Store();
}


BOOL CTinyCadMultiSymbolDoc::CanCloseFrame(CFrameWnd* pFrameArg)
{
	return m_pDocument->CanCloseFrame(pFrameArg);
}


void CTinyCadMultiSymbolDoc::OnLibrarySetpartsperpackage() 
{
	CDlgPartsInPackage dialog;
	dialog.m_Parts = m_ppp;

	if (dialog.DoModal() == IDOK)
	{
		if (dialog.m_Parts > 0 && dialog.m_Parts <= 26)
		{
			m_ppp = dialog.m_Parts;
			m_pDocument->SetPartsPerPackage( m_ppp );
			UpdateAllViews( NULL, DOC_UPDATE_TABS );
		}
	}
	
}
